WeTransfer filelink provider is missing

Bug #1823361 reported by Olivier Tilloy on 2019-04-05
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
thunderbird (Ubuntu)
Medium
Olivier Tilloy

Bug Description

Upstream builds of thunderbird include the WeTransfer filelink provider. The Ubuntu package doesn't.

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: thunderbird 1:60.6.1+build2-0ubuntu1
ProcVersionSignature: Ubuntu 5.0.0-8.9-generic 5.0.1
Uname: Linux 5.0.0-8-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
AddonCompatCheckDisabled: False
ApportVersion: 2.20.10-0ubuntu25
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: osomon 2794 F.... pulseaudio
BuildID: 20190325095516
Channel: Unavailable
CurrentDesktop: ubuntu:GNOME
Date: Fri Apr 5 17:05:04 2019
EcryptfsInUse: Yes
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2016-07-02 (1006 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
Locales: extensions.sqlite corrupt or missing
Plugins: Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
PrefSources: prefs.js
Profiles: Profile0 (Default) - LastVersion=60.6.1/20190325095516
RunningIncompatibleAddons: False
SourcePackage: thunderbird
Themes: extensions.sqlite corrupt or missing
UpgradeStatus: Upgraded to disco on 2019-03-16 (19 days ago)
dmi.bios.date: 07/09/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: G2ET95WW (2.55 )
dmi.board.asset.tag: Not Available
dmi.board.name: 2306CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG2ET95WW(2.55):bd07/09/2013:svnLENOVO:pn2306CTO:pvrThinkPadX230:rvnLENOVO:rn2306CTO:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.family: ThinkPad X230
dmi.product.name: 2306CTO
dmi.product.sku: LENOVO_MT_2306
dmi.product.version: ThinkPad X230
dmi.sys.vendor: LENOVO

Olivier Tilloy (osomon) wrote :
Jan (ijonfryderyk) wrote :

Same on Ubuntu 18.04.

Olivier Tilloy (osomon) wrote :

Quick and dirty test: I copied <email address hidden> from the upstream official build (thunderbird-60.8.0.tar.bz2) to /usr/lib/thunderbird/distribution/extensions/, and this was enough for thunderbird to pick it up and successfully use it.

And unlike other extensions (calendar, see bug #545778), this xpi contains localizations for all available languages.

Olivier Tilloy (osomon) on 2019-08-07
Changed in thunderbird (Ubuntu):
status: Triaged → In Progress
Olivier Tilloy (osomon) on 2019-08-07
Changed in thunderbird (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 1:68.1.1+build1-0ubuntu1

---------------
thunderbird (1:68.1.1+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.1.1build1)

  * Build thunderbird against the system-wide version of sqlite3 (LP: #1845929)
    - update debian/config/mozconfig.in
    - update debian/control{,.in}

 -- Olivier Tilloy <email address hidden> Tue, 01 Oct 2019 14:47:00 +0200

Changed in thunderbird (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers